typestrict.aidocs
APICredits

List the credit history

GET
/v1/credits/entries

The credit history, newest first: purchases, trainings and credits given back.

Authorization

api_key
headerAuthorizationBearer <token>

An API key from Settings (ts_...).

Path Parameters

limit*|
Formatint64
cursor*string|null

Response Body

application/json
  1. response

One page of a list, newest first: next is the cursor of the following page, null on the last.

data*array<>
next?string|null
curl -X GET "https://example.com/v1/credits/entries"
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "delta": 0,      "id": 0,      "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",      "model_name": "string",      "model_version": 0,      "reason": "string",      "usd": 0    }  ],  "next": "string"}